function [final_selected_values final_deviations] = probable_clothesline(F1, s, s1)

A = tabulate(F1);

window = 3;
[M I] = sort(A(:, 1));

value = 0.04;
i_val = 0;
e_val = 5;
y=[];
z=y;
temp = [];
len = 0;
start_i =0;
end_i = 0;
y1 = y;
y2 = y1;
max_inds = [];
prob_clotheslines = [];
final_deviations = [];
for i=1:window:length(A)-window
%for i=1:1:1
	 if log(M(i)) >= i_val && log(M(i)) <= e_val
						if start_i == 0
										start_i = i;
						else
						 	      end_i = i;
						end
						
						len = len + 1;
    temp = log(A(I(i:i+window-1), 2));
    y(end+1, :) = median(temp);
		y1(end+1:end+window) = median(temp).*ones(window, 1);
		y2(end+1:end+window) = mean(temp).*ones(window, 1);

		u = temp - y(end).*ones(length(temp), 1);
		z1 = (u/y(end));
		[z(end+1, :) t] = max(z1);
		if z(end) >= value 
						max_inds(end+1, :) = t+i-1;
						prob_clotheslines(end+1, :) = t+i-1;
						final_deviations(end+1, :) = z(end);
		else
						max_inds(end+1, :) = 2;
		end
		end
end

%plot(y, 'go');
%figure;
%plot(z, 'r.')
%plot(log(M(start_i:end_i+window-1)),y1, 'r+');
plot(log(M(max_inds)), log(A(I(max_inds), 2)), 'r+');
hold on;
%plot(log(M(start_i:end_i+window-1)),y2, 'g*');
scatter(log(M(start_i:end_i+window-1)), log(A(I(start_i:end_i+window-1), 2)));
filename = strcat(s, '-selected_clotheslines.jpg');
%s1 = s;
title(strcat('Selected points from Marginals of :', s1),'FontWeight','bold','FontSize',16);
print('-djpeg', filename);
%close;
final_selected_values = M(prob_clotheslines);
%final_deviations
