## Script to find out the persistent IPs and ASes
## takes in the entire update dump within a time period
## and a sequence of times (basically for MATLAB ease)
## returned by find_clothesline_helper.m
## and clothesline number in clothesline_suspect_times.txt
## and location of clothesline_suspect_times.txt
## (for the bin size)

a = IO.readlines(ARGV[0])
b = IO.readlines(ARGV[1])

h_or= Hash.new(Array.new)
h_pr= Hash.new(Array.new)

clothesline_n = ARGV[2][ARGV[2].length-1].to_i - 48 
clothesline_suspects = IO.readlines(ARGV[3])
suspect = clothesline_suspects[clothesline_n].chomp.split
puts ""
puts clothesline_suspects[clothesline_n].chomp
bin = suspect[suspect.length-1].to_f/(24*3600.0)
			

i = 1 
while i <= a.length-1
#			  if i.remainder(1000) == 0
#								puts i.to_s
#				end

				s = a[i].chomp.split
				tstamp = b[i-1].chomp.to_f
				next_tstamp = tstamp + bin
#				puts "tstamp == " + tstamp.to_s + " next == " + next_tstamp.to_s
				temp_h1 = Hash.new(0)
				temp_h2 = Hash.new(0)
#				puts "XX"
				while tstamp <= next_tstamp
							# lets see origin first
							temp_h1[s[3]] = temp_h1[s[3]] + 1
							# then prefix
							temp_h2[s[4]+"/"+s[5]] = temp_h2[s[4]+"/"+s[5]] + 1
							if i+1 >= a.length
#											puts "break"
											i = i + 1
											break
							end
						  s = a[i+1].chomp.split
#							puts b[i]
							tstamp = b[i].chomp.to_f
							i = i + 1
				end
#				puts "XX"
#				temp_h1.each {|key,val| puts "kye - " + key + " ---- " + val.to_s}
				temp_h1.each {|key,val| h_or[key] = h_or[key] + [val]}
				temp_h2.each {|key,val| h_pr[key] = h_pr[key] +  [val]}
end

#puts "building done"

 def variance(population)
    n = 0
    mean = 0.0
    s = 0.0
    population.each { |x|
      n = n + 1
      delta = x - mean
      mean = mean + (delta / n)
      s = s + delta * (x - mean)
    }
    # if you want to calculate std deviation
    # of a sample change this to "s / (n-1)"
    return s / n
  end

  # calculate the standard deviation of a population
  # accepts: an array, the population
  # returns: the standard deviation
  def standard_deviation(population)
    Math.sqrt(variance(population))
  end


	def mean(p)
					sum = 0;
					p.each{|x| sum = sum + x}
					m = sum/p.length
	end


	def median(array, already_sorted=false)
					return nil if array.empty?
					array = array.sort unless already_sorted
					m_pos = array.size / 2
					return array.size % 2 == 1 ? array[m_pos] : mean(array[m_pos-1..m_pos])
	end


def modes(array, find_all=true)
				histogram = array.inject(Hash.new(0)) { |h, n| h[n] += 1; h }
				modes = nil
				histogram.each_pair do |item, times| 
								modes << item if modes && times == modes[0] and find_all
								modes = [times, item] if (!modes && times>1) or (modes && times>modes[0])
				end
				return modes ? modes[1...modes.size] : modes
end




	h_or1= Hash.new(0)
	h_pr1=Hash.new(0)
# h_or.each {|key,val| puts key + "  -------- " + val}
	h_or.each {|key,val| h_or1[key] = standard_deviation(val)}
	h_pr.each {|key,val| h_pr1[key] = standard_deviation(val)}

	o = h_or1.sort {|a,b| b[1]<=>a[1]}
	p = h_pr1.sort {|a,b| b[1]<=>a[1]}


	l  = 7
	puts "top " + l.to_s + " origin_as"

	for i in 0..l
				puts o[i][0] + "-----" + mean(h_or[o[i][0]]).to_s + "-----" + median(h_or[o[i][0]]).to_s  
	end

	puts " "
	puts "top "+ l.to_s + " prefixes"
	for i in 0..l-1
					puts p[i][0] + "-----" + mean(h_pr[p[i][0]]).to_s + "-----" +  median(h_pr[p[i][0]]).to_s 
	end


